gromox-abktconv(8gx)

Name
gromox-abktconv — Utility for converting between ABKT and JSON

Synopsis
gromox-abktconv {-b|-j} [-gw?] [-c cpid]

Description
gromox-abktconv can be used to convert between data streams as specified in MS-OXOABKT and a textual representation. It reads and writes to standard input and output, respectively.

Options

-b  Produce type-1 ABKT from JSON.

-c cpid
    When converting to ABKT (-b), convert strings to the given codepage and emit them as 8-bit strings.

-g  When converting to ABKT (-b), emit extraneous gaps in the data stream to mimic what Exchange would do. Without -g, the ABKT stream will have no unnecessary gaps.

-j  Produce JSON from ABKT type-1 or type-2.

-w  When converting to ABKT (-b), emit strings in UTF-16 form. This is the default.

-?  Display option summary.

Normative references

•   MS-OXOABKT: Address Book User Interface Templates Protocol

•   oxoabkt.rst: Type-2 ABKT template protocol

See also
gromox(7), gromox-abktpull(8gx)